| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Types | Public Member Functions | Static Public Member Functions
Tp::FunctorCaller3< Functor, R, Arg1, Arg2, Arg3 > Struct Template Reference

`#include </home/collabora-devel/kde/src/telepathy-qt4/TelepathyQt/callbacks.h>`

Inherits Tp::BaseFunctorCaller< FunctorCaller3< Functor, R, Arg1, Arg2, Arg3 >, Functor >.

List of all members.

## Public Types

- typedef R ResultType
- typedef R(* InvokeType )(AbstractFunctorCaller *, Arg1, Arg2, Arg3)

## Public Member Functions

- FunctorCaller3 (const Functor &functor)

## Static Public Member Functions

- static ResultType invoke (AbstractFunctorCaller *call, Arg1 a1, Arg2 a2, Arg3 a3)

### template<class Functor, class R, class Arg1, class Arg2, class Arg3>
struct Tp::FunctorCaller3< Functor, R, Arg1, Arg2, Arg3 >

## Member Typedef Documentation

template<class Functor , class R , class Arg1 , class Arg2 , class Arg3 >

typedef R Tp::FunctorCaller3< Functor, R, Arg1, Arg2, Arg3 >::ResultType

template<class Functor , class R , class Arg1 , class Arg2 , class Arg3 >

typedef R(* Tp::FunctorCaller3< Functor, R, Arg1, Arg2, Arg3 >::InvokeType)(AbstractFunctorCaller *, Arg1, Arg2, Arg3)

## Constructor & Destructor Documentation

template<class Functor , class R , class Arg1 , class Arg2 , class Arg3 >

Tp::FunctorCaller3< Functor, R, Arg1, Arg2, Arg3 >::FunctorCaller3 | ( | const Functor & | functor | ) | `[inline, explicit]`

## Member Function Documentation

template<class Functor , class R , class Arg1 , class Arg2 , class Arg3 >

static ResultType Tp::FunctorCaller3< Functor, R, Arg1, Arg2, Arg3 >::invoke | ( | AbstractFunctorCaller * | call,
|  | Arg1 | a1,
|  | Arg2 | a2,
|  | Arg3 | a3
| ) |  | `[inline, static]`